{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Mi Estacionamiento</title>
    <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css"
        integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/main.css' %}">
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.3.4/dist/leaflet.css" />
    <link rel="stylesheet" href="{% static 'css/map.css' %}">
</head>

<body>
    <!--Desktop Navbar-->
    <nav class="navbar navbar-expand-md navbar-light bg-light d-none d-md-flex shadowzd">
        <a class="navbar-brand">Mi Estacionamiento</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item">
                    <a class="nav-link" href="/" style="{% if nbar == 'map' %}color: #f05b48; {% endif %}"><i
                            class="fas fa-map-marked fa-lg"></i>
                        Mapa</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/myparkings/" style="{% if nbar == 'myparkings' %}color: #f05b48; {% endif %}"><i
                            class="fas fa-parking fa-lg"></i> Mis Estacionamientos</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/mycars/" style="{% if nbar == 'mycars' %}color: #f05b48; {% endif %}"><i
                            class="fas fa-car fa-lg"></i>
                        Mis Autos</a>
                </li>
            </ul>
            <div class="navbar-nav">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Bienvenido/a {{user.first_name}}
                    </a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                        <h6 class="dropdown-header">{{user.first_name}}</h6>
                        <a class="dropdown-item" href="/profile/">Mi Perfil</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="/logout/">Cerrar Sesión</a>
                    </div>
                </li>
            </div>
        </div>

    </nav>
    <!--End-->
    <div class="container-fluid d-none d-md-block">
        <div class="row justify-content-center" style="margin-top:15px;">
            <div class="col-12">
                {% if cars.count %}
                <h1>Mis Autos</h1>
                <table class="table table-striped table-bordered">
                    <th>ID</th>
                    <th>Marca</th>
                    <th>Modelo</th>
                    <th>Color</th>
                    <th>Patente</th>
                    <th>Acciones</th>
                    {% for c in cars %}
                    <tr>
                        <td>{{c.id}}</td>
                        <td>{{c.marca}}</td>
                        <td>{{c.modelo}}</td>
                        <td>{{c.color}}</td>
                        <td>{{c.patente}}</td>
                        <td>
                            <form action="edit/" method="post">
                                {% csrf_token %}
                                <input type="hidden" name="id" value="{{c.id}}">
                                <input type="submit" value="Editar">
                            </form>
                            <form action="remove/" method="post">
                                {% csrf_token %}
                                <input type="hidden" name="id" value="{{c.id}}">
                                <input type="submit" value="Quitar">
                            </form>
                        </td>
                    </tr>
                    {% endfor %}
                </table>

                {% else %}
                <h1>No posees ningun auto registrado.</h1>
                {% endif %}

                <hr>
                <h3>Agregar nuevo auto</h3>
                <form action="add/" method="post">
                    {% csrf_token %}
                    <label for="marca">Marca:</label>
                    <input type="text" name="marca" id="marca" >
                    <label for="modelo">Modelo:</label>
                    <input type="text" name="modelo" id="modelo" >
                    <label for="color">Color:</label>
                    <input type="text" name="color" id="color" >
                    <label for="Patente">Patente:</label>
                    <input type="text" name="patente" id="patente" >
                    <input type="submit" value="Agregar">
                </form>






            </div>
        </div>
    </div>
    <script src="{% static 'js/jquery-3.3.1.js' %}"></script>
    <script src="{% static 'js/bootstrap.bundle.js' %}"></script>
    <script src="https://unpkg.com/leaflet@1.3.4/dist/leaflet.js"></script>
    <script src="{% static 'js/map.js' %}"></script>
</body>

</html>